org.eclipse.gef.dot.internal.ui.language.outline

## Class DotOutlineTreeProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.outline.impl.DefaultOutlineTreeProvider
  - - org.eclipse.gef.dot.internal.ui.language.outline.DotOutlineTreeProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.outline.impl.IOutlineTreeStructureProvider, org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider, org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider.Cancelable

    public class DotOutlineTreeProvider
    extends org.eclipse.xtext.ui.editor.outline.impl.DefaultOutlineTreeProvider

Customization of the default outline structure.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider

`org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider.Cancelable, org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider.ModeAware`

### Field Summary

### Fields inherited from class org.eclipse.xtext.ui.editor.outline.impl.DefaultOutlineTreeProvider

`createChildrenDispatcher, createNodeDispatcher, imageDispatcher, isLeafDispatcher, labelProvider, locationInFileProvider, textDispatcher`

### Constructor Summary

Constructors
Constructor and Description
`DotOutlineTreeProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `_createChildren(org.eclipse.xtext.ui.editor.outline.IOutlineNode parent, org.eclipse.gef.dot.internal.language.dot.Attribute attribute)` Create proper outline subtree from the dot attribute value if possible.
`protected void` `_createChildren(org.eclipse.xtext.ui.editor.outline.IOutlineNode parent, org.eclipse.gef.dot.internal.language.dot.AttrStmt stmt)` Skip the 'AttrList' wrapper element in the outline structure.
`protected void` `_createNode(org.eclipse.xtext.ui.editor.outline.IOutlineNode parent, org.eclipse.gef.dot.internal.language.htmllabel.HtmlContent htmlContent)` Skip the empty (containing nothing or only white-spaces) htmlContent elements, but process their tag children.
`protected boolean` `_isLeaf(org.eclipse.gef.dot.internal.language.dot.Attribute attribute)` Consider an attribute having a HTML_STRING value as non-leaf.
`protected boolean` `_isLeaf(org.eclipse.gef.dot.internal.language.dot.EdgeRhs edge)` 'EdgeRhs' elements are displayed as leafs and not expandable.
`protected boolean` `_isLeaf(org.eclipse.gef.dot.internal.language.dot.NodeStmt node)` Treat node statements as leafs if they have no attributes.
`protected org.eclipse.xtext.ui.editor.outline.impl.EObjectNode` `createEObjectNode(org.eclipse.xtext.ui.editor.outline.IOutlineNode parentNode, org.eclipse.emf.ecore.EObject modelElement, Image image, java.lang.Object text, boolean isLeaf)`

### Methods inherited from class org.eclipse.xtext.ui.editor.outline.impl.DefaultOutlineTreeProvider

`_createChildren, _createChildren, _createChildren, _createChildren, _createNode, _createNode, _createNode, _image, _isLeaf, _isLeaf, _text, checkCanceled, createChildren, createEObjectNode, createEStructuralFeatureNode, createNode, createRoot, createRoot, isLocalElement, nullSafeClassName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotOutlineTreeProvider

    public DotOutlineTreeProvider()

### Method Detail

#### _isLeaf

    protected boolean _isLeaf(org.eclipse.gef.dot.internal.language.dot.NodeStmt node)

Treat node statements as leafs if they have no attributes.

Parameters:
  `node` - The 'NodeStmt' model element
Returns:
  true if this node contains no attributes

#### _isLeaf

    protected boolean _isLeaf(org.eclipse.gef.dot.internal.language.dot.EdgeRhs edge)

'EdgeRhs' elements are displayed as leafs and not expandable.

Parameters:
  `edge` - The 'EdgeRhs' model element
Returns:
  true

#### _isLeaf

    protected boolean _isLeaf(org.eclipse.gef.dot.internal.language.dot.Attribute attribute)

Consider an attribute having a HTML_STRING value as non-leaf.

Parameters:
  `attribute` -
Returns:

#### _createChildren

    protected void _createChildren(org.eclipse.xtext.ui.editor.outline.IOutlineNode parent,
                                   org.eclipse.gef.dot.internal.language.dot.AttrStmt stmt)

Skip the 'AttrList' wrapper element in the outline structure.

Parameters:
  `parent` - The outline parent node.
  `stmt` - The attribute statement.

#### _createChildren

    protected void _createChildren(org.eclipse.xtext.ui.editor.outline.IOutlineNode parent,
                                   org.eclipse.gef.dot.internal.language.dot.Attribute attribute)

Create proper outline subtree from the dot attribute value if possible.

Parameters:
  `parent` -
  `attribute` -

#### _createNode

    protected void _createNode(org.eclipse.xtext.ui.editor.outline.IOutlineNode parent,
                               org.eclipse.gef.dot.internal.language.htmllabel.HtmlContent htmlContent)

Skip the empty (containing nothing or only white-spaces) htmlContent elements, but process their tag children.

#### createEObjectNode

    protected org.eclipse.xtext.ui.editor.outline.impl.EObjectNode createEObjectNode(org.eclipse.xtext.ui.editor.outline.IOutlineNode parentNode,
                                                                                     org.eclipse.emf.ecore.EObject modelElement,
                                                                                     Image image,
                                                                                     java.lang.Object text,
                                                                                     boolean isLeaf)

Overrides:
  `createEObjectNode` in class `org.eclipse.xtext.ui.editor.outline.impl.DefaultOutlineTreeProvider`